var target_date1 = 234567 + (new Date().getTime()/1000); // set the countdown date
var days, hours, minutes, seconds; // variables for time units

var countdown = document.getElementById("tiles1"); // get tag element

getCountdown();

setInterval(function(){ getCountdown();}, 1000);

function getCountdown(){
	
	// find the amount of "seconds" between now and target
	var current_date = new Date().getTime() / 1000;
	var seconds_left = (target_date1 - current_date);

	days = pad(parseInt(seconds_left / 86400));
	seconds_left = seconds_left % 86400;
		 
	hours = pad(parseInt(seconds_left / 3600));
	seconds_left = seconds_left % 3600;
		  
	minutes = pad(parseInt(seconds_left / 60));
	seconds = pad(parseInt( seconds_left % 60));

	// format countdown string + set tag value
	countdown.innerHTML = "<span>" + days + "</span><span>" + hours + "</span><span>" + minutes + "</span><span>" + seconds + "</span>"; 
}

function pad(n){
	return (n < 10 ? '0' : '') + n;
}