var target_date = parseInt(document.getElementById('target_date').getAttribute("target")); // set the countdown date
var redirect = document.getElementById('target_date').getAttribute("redirect");
var days, hours, minutes, seconds; // variables for time units

var clock = document.getElementsByName("reloj1"); // get tag element

getCountdown();

setInterval(function(){ getCountdown();}, 1000);

function getCountdown(){

	// find the amount of "seconds" between now and target
	var current_date = new Date().getTime() / 1000;
	var seconds_left = (target_date - current_date);

	if(seconds_left < 0){
		window.location.replace(redirect);
	}

	days = pad(parseInt(seconds_left / 86400));
	seconds_left = seconds_left % 86400;
			 
	hours = pad(parseInt(seconds_left / 3600));
	seconds_left = seconds_left % 3600;
			  
	minutes = pad(parseInt(seconds_left / 60));
	seconds = pad(parseInt( seconds_left % 60));

	for(i = 0; i<clock.length; i++) {
		// format countdown string + set tag value
		clock[i].innerHTML = "<span>" + days + "</span><span>" + hours + "</span><span>" + minutes + "</span><span>" + seconds + "</span>";
	} 
}

function pad(n){
	return (n < 10 ? '0' : '') + n;
}