// const countdown = new Date("May 7, 2021");
var target_date = parseInt(document.getElementById('target_date').getAttribute("target")); // set the countdown date
var redirect = document.getElementById('target_date').getAttribute("redirect");

function getRemainingTime(endtime){
    const milliseconds = endtime - (Date.parse(new Date())/1000);
    if(milliseconds <= 0){
        window.location.replace(redirect);
    }
    const seconds = Math.floor(milliseconds % 60);
    const minutes = Math.floor((milliseconds/60) % 60);
    const hours = Math.floor((milliseconds/(60*60)) % 24);
    const days = Math.floor(milliseconds/(60*60*24));

    return{
        'total': milliseconds,
        'seconds': seconds,
        'minutes': minutes,
        'hours': hours,
        'days': days,
    };
}
  
function initClock(name, endtime){
    const clock = document.getElementsByName(name);

    function updateClock(){
        const time = getRemainingTime(endtime);

        for(i = 0; i<clock.length; i++) { 
            var daysItem = clock[i].querySelector('.js-countdown-days');
            var hoursItem = clock[i].querySelector('.js-countdown-hours');
            var minutesItem = clock[i].querySelector('.js-countdown-minutes');
            var secondsItem = clock[i].querySelector('.js-countdown-seconds');

            daysItem.innerHTML = time.days;
            hoursItem.innerHTML = ('0' + time.hours).slice(-2);
            minutesItem.innerHTML = ('0' + time.minutes).slice(-2);
            secondsItem.innerHTML = ('0' + time.seconds).slice(-2);

            if(time.total <= 0){
                clearInterval(timeinterval);
            }
        }
    }

    updateClock();
    const timeinterval = setInterval(updateClock, 1000);
}

initClock('reloj2', target_date);